A ChatGPT based emulator of Doctor Kernel &mdash; JJ's therapist from the book
"A digital Affair" by Neora Shem Shaul.

It is run as a console app, and emulates slow typing like a chat over a modem in 1993.
For best results, run on a green on black terminal, with a large and archaic monospace font (see screenshot below for inspiration).


#### Setup

 * run `./install.sh`
 * copy `example.env` to `.env` and edit it according to the instructions inside.

#### Usage

`./run.sh` is an infinite loop of sessions with the doctor.
Whenever you finish a non-empty session, the log is saved and
the `index.html` of the `logs/` folder gets regenerated (see below).

#### Serving session logs via web

`./logserver.sh` would serve session log files on port 8000

Note that you can try this as is (on a fresh repo clone, without even running `install.py`) to enjoy the 90s style gui (thanks to [BOOTSTRA.386](https://bootstra386.com/)).

#### Screenshots

![Screenshot](screenshot.png)

![Screenshot of the session log web server](screenshot-logs.jpg)
